* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  scrollbar-width: none;
  -ms-overflow-style: none;
  overflow-x: hidden;
}

::-webkit-scrollbar {
  display: none;
}

h1,
h2,
h3 {
  font-family: "Playfair Display", serif;
}

body {
  font-family: "Poppins", sans-serif;
  background: linear-gradient(120deg, #ffffff, #fde2c2, #ffd8ab);
  color: #333;
  overflow-x: hidden;
}

section {
  scroll-margin-top: 80px;
}

nav {
  position: fixed;
  background: rgba(255, 228, 196, 0.404);
  backdrop-filter: blur(12px);
  z-index: 100;
  right: 20px;
  left: 20px;
  margin-top: 2%;
  border-radius: 25px;
  padding: 1%;
  transform: translateY(-150px);
  animation: navanimation 0.8s ease forwards;
  animation-delay: 0.6s;
}

@keyframes navanimation {
  to {
    transform: translateY(0);
  }
}

nav h1 {
  text-align: center;
  font-weight: 100;
  font-size: 28px;
}

nav ul {
  display: flex;
  padding: 0.5%;
  justify-content: center;
}

nav ul li {
  list-style: none;
  margin-left: 3px;
  margin-right: 3px;
}

nav button {
  border: 0;
  font-size: 12px;
  background: none;
  color: rgb(122, 105, 83);
  padding-left: 3px;
  padding-right: 3px;
  font-weight: bold;
  transition: 0.3s;
}

nav button:hover {
  transform: translateY(-5px) scale(1.2);
  color: saddlebrown;
}

#hero {
  padding: 3%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 100vh;
  padding-top: 20%;
}

#hero img {
  width: 80%;
  transform: translateX(-120%) translateY(-50%) rotateZ(-60deg);
  animation: heroimganimation 0.8s ease forwards;
  animation-delay: 0.6s;
  margin-bottom: 5%;
}

@keyframes heroimganimation {
  to {
    transform: translate(0);
  }
}

#hero h1 {
  margin-right: auto;
  animation: herotitleanimation 0.8s ease forwards;
  font-size: 40px;
  animation-delay: 0.6s;
  transform: translateY(-75%) rotateX(90deg);
  opacity: 0;
  margin-bottom: 2%;
}

@keyframes herotitleanimation {
  to {
    transform: translate(0) rotate(0);
    opacity: 1;
  }
}

#hero h3 {
  font-size: 20px;
  margin-right: auto;
  margin-bottom: 2%;
  transform: translateX(-120%);
  animation: herosubtitleanimation 0.8s ease forwards;
  animation-delay: 0.8s;
}

@keyframes herosubtitleanimation {
  to {
    transform: translate(0);
  }
}

#hero p {
  font-size: 12px;
  margin-right: auto;
  transform: translateX(-150%);
  animation: heropanimation 1.2s ease forwards;
  animation-delay: 0.8s;
  margin-bottom: 4%;
}

@keyframes heropanimation {
  to {
    transform: translate(0);
  }
}

#hero-button {
  display: flex;
  margin-right: auto;
  width: 100%;
  opacity: 0;
  transform: scale(1.2) translateY(-50px) translateX(40px);
  animation: herobuttonanimation 0.8s ease forwards;
  animation-delay: 0.6s;
}

@keyframes herobuttonanimation {
  to {
    opacity: 1;
    transform: scale(1) translateY(0);
  }
}

#hero button {
  margin-right: 3%;
  font-size: 15px;
  background: none;
  padding: 2px;
  padding-left: 10px;
  padding-right: 10px;
  border-radius: 25px;
  border: 2px solid;
  transition: 0.3s;
}

#hero button:hover {
  background-color: #333;
  color: bisque;
  transform: scale(1.1) translateX(4px) translateY(-6px);
}

#menu h1 {
  text-align: center;
  font-size: 40px;
  margin-bottom: 5%;
}

.menu-div {
  background-color: #33333340;
  width: 80%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 5%;
  border-radius: 25px;
  padding: 2%;
  border: black solid 2px;
  padding-bottom: 3%;
}

.menu-div li {
  padding-bottom: 1%;
  padding-top: 1%;
}

#breakfast li {
  padding-bottom: 0;
}

#menu h3 {
  margin-bottom: 2%;
}

#menu ul {
  border-bottom: black dashed 2px;
  width: 100%;
  list-style: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

#menu p {
  margin-right: auto;
  font-size: 10px;
  margin-bottom: 1%;
  width: 90%;
}

#hotcoffe ul li {
  font-size: 12px;
}

#breakfast li {
  font-size: 12px;
}

#frappe div {
  display: flex;
  margin-right: 2%;
  margin: 0;
}

#frappe div li {
  margin-left: 25px;
  margin-right: auto;
}

#frappe ul li {
  font-size: 12px;
  width: 40%;
}

#frappe-header {
  font-size: 15px;
  display: flex;
  margin-right: auto;
  width: 100%;
  list-style: none;
}

#frappe-header div {
  margin-left: auto;
}

#gallery {
  margin-top: 14%;
}

#gallery div {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 2%;
}

#gallery h1 {
  font-size: 40px;
  text-align: center;
  margin-bottom: 2%;
}

#gallery h3 {
  font-size: 15px;
  width: 100%;
  text-align: center;
  margin-bottom: 1%;
}

#gallery p {
  font-size: 10px;
  text-align: center;
  margin-bottom: 5%;
}

#gallery img {
  width: 50%;
  border-radius: 25px;
  margin-bottom: 3%;
}

.rotateright {
  transform: rotatez(10deg);
}

.rotateleft {
  transform: rotatez(-10deg);
}

#location {
  margin-top: 14%;
}

#location h1 {
  font-size: 40px;
  text-align: center;
  margin-bottom: 2%;
}

#location h3 {
  font-size: 18px;
  text-align: center;
  width: 100%;
  margin-bottom: 1%;
}

#location p {
  font-size: 10px;
  text-align: center;
  margin-bottom: 5%;
  width: 90%;
  margin-right: auto;
  margin-left: auto;
}

#location div {
  display: flex;
  align-items: center;
  justify-content: center;
}

#location iframe {
  border-radius: 25px;
}

#working-hours {
  margin-top: 14%;
  padding: 2%;
  padding-top: 0%;
}

#working-hours h1 {
  font-size: 40px;
  text-align: center;
  margin-bottom: 1%;
}

#working-hours p {
  font-size: 10px;
  width: 90%;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  margin-bottom: 5%;
}

#hours h3 {
  font-size: 10px;
  text-align: center;
  font-weight: bolder;
}

#hours p {
  font-size: 8px;
  text-wrap: nowrap;
  font-weight: lighter;
  text-align: center;
  margin: 0;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}

#hours {
  margin-left: auto;
  margin-right: auto;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  width: 95%;
}

#hours ul {
  background-color: #33333340;
  border-radius: 25px;
  padding: 3%;
  border: black solid 2px;
}

#contact {
  margin-top: 5%;
  background-color: #33333340;
  padding: 2%;
  padding-bottom: 0;
}

#contact-items {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  margin-left: auto;
  margin-right: auto;
  gap: 30px;
  width: 100%;
  margin-bottom: 5%;
}

#contact h1 {
  font-size: 40px;
  margin-bottom: 1%;
  text-align: center;
}

#contact p {
  font-size: 10px;
  margin-bottom: 5%;
  text-align: center;
  padding-left: 3px;
  padding-right: 3px;
}

#phone::before {
  content: "📞";
  justify-content: center;
  display: flex;
  margin-bottom: 4px;
  font-size: 20px;
}

#address::before {
  content: "📍";
  justify-content: center;
  display: flex;
  margin-bottom: 4px;
  font-size: 20px;
}

#phone,
#address {
  font-size: 15px;
  margin-bottom: 1%;
  width: 100%;
  background-color: bisque;
  box-shadow: 2px 4px 10px 2px;
  padding: 2%;
  border-radius: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

#phone h3,
#address h3 {
  margin-bottom: 6px;
  text-align: center;
}

#address p {
  font-size: 10px;
}

#phone a,
#address a {
  display: flex;
  justify-content: center;
  text-decoration: none;
  color: #333;
  padding-left: 4px;
  padding-right: 4px;
  margin-bottom: 5px;
  text-align: center;
  border-radius: 25px;
  background-color: w;
  transition: 0.3s;
  border: #333 solid 1px;
}

#address a::before,
#phone a::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(135deg, #33333340, white);
  opacity: 0;
  transition: opacity 0.3s ease;
  border-radius: 25px;
  z-index: -1;
}

#phone a:hover::before,
#address a:hover::before {
  opacity: 1;
}

#phone a:hover,
#address a:hover {
  transform: translateX(2px) translateY(-3px);
}

#follow-us {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin-bottom: 2%;
}

#follow-us h3 {
  font-size: 24px;
  margin-left: 5px;
  margin-right: 5px;
}

#follow-us::after {
  content: "";
  border: #333 solid 1px;
  width: 30%;
}

#follow-us::before {
  content: "";
  border: #333 solid 1px;
  width: 30%;
}

#social {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  font-size: 14px;
}

.platforms-div {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  margin-left: 5px;
  margin-right: 5px;
}

.separator::after {
  content: " | ";
  margin-left: 5px;
  margin-right: 5px;
}

#social img {
  width: 25px;
  margin-bottom: 5px;
}

#instagram,
#whatsapp,
#tiktok {
  text-decoration: none;
  color: #333;
  padding: 4px;
  padding-bottom: 1px;
  padding-top: 1px;
  border-radius: 25px;
  transition: 0.5s;
  border: #333 1px solid;
}

#instagram::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(135deg, rgb(183, 0, 255), #ff9100);
  opacity: 0;
  transition: opacity 0.3s ease;
  border-radius: 25px;
  z-index: -1;
}

#instagram:hover::before {
  opacity: 1;
}

#instagram:hover {
  transform: translateY(-3px);
  color: #fff;
}

#whatsapp::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(135deg, green, rgb(131, 202, 0));
  opacity: 0;
  transition: opacity 0.3s ease;
  border-radius: 25px;
  z-index: -1;
}

#whatsapp:hover::before {
  opacity: 1;
}

#whatsapp:hover {
  transform: translateY(-3px);
  color: #fff;
}

#tiktok::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(135deg, black, rgb(192, 112, 112));
  opacity: 0;
  transition: opacity 0.3s ease;
  border-radius: 25px;
  z-index: -1;
}

#tiktok:hover::before {
  opacity: 1;
}

#tiktok:hover {
  transform: translateY(-3px);
  color: #fff;
}

footer {
  margin-top: 2%;
  font-size: 8px;
  padding-bottom: 2px;
  text-align: center;
}

@media (min-width: 768px) and (max-width: 1024px) {
  /* Tablet */
  section {
    scroll-margin-top: 85px;
  }

  nav {
    left: 18%;
    right: 18%;
    margin-top: 1%;
  }

  nav h1 {
    font-size: 30px;
  }

  nav button {
    margin-left: 20px;
    margin-right: 20px;
    font-size: 15px;
  }

  #hero {
    flex-direction: row-reverse;
    padding-top: 10%;
  }

  #hero img {
    width: 30%;
    margin-left: auto;
    transform: translateX(120%) translateY(-50%) rotateZ(60deg);
  }

  #hero h1 {
    font-size: 50px;
  }

  #hero h3 {
    font-size: 20px;
  }

  #hero p {
    font-size: 15px;
  }

  #hero button {
    font-size: 16px;
  }

  #menu h1 {
    font-size: 50px;
  }

  #menu h3 {
    font-size: 25px;
  }

  #menu ul li {
    font-size: 16px;
  }

  #menu p {
    font-size: 12px;
    width: 100%;
  }

  #frappe-header li {
    font-size: 16px;
  }

  #gallery h1 {
    font-size: 50px;
  }

  #gallery h3 {
    font-size: 25px;
  }

  #gallery p {
    font-size: 15px;
    width: 80%;
    margin-right: auto;
    margin-left: auto;
  }

  #gallery img {
    width: 30%;
  }

  #location h1 {
    font-size: 50px;
  }

  #location h3 {
    font-size: 25px;
  }

  #location p {
    font-size: 15px;
    width: 80%;
    margin-right: auto;
    margin-left: auto;
  }

  #location iframe {
    width: 60%;
    height: 300px;
  }

  #working-hours h1 {
    font-size: 50px;
  }

  #working-hours p {
    font-size: 15px;
    width: 80%;
  }

  #hours {
    width: 70%;
  }

  #hours h3 {
    font-size: 15px;
  }

  #hours p {
    font-size: 12px;
  }

  #contact h1 {
    font-size: 50px;
  }

  #contact p {
    font-size: 15px;
    margin-bottom: 2%;
  }

  #contact-items {
    width: 70%;
  }

  #phone {
    font-size: 20px;
  }

  #address {
    font-size: 20px;
  }

  #follow-us::after {
    width: 40%;
  }

  #follow-us::before {
    width: 40%;
  }

  #social {
    font-size: 20px;
  }

  .separator::after {
    margin-left: 10px;
    margin-right: 10px;
  }

  #social img {
    width: 35px;
  }
}

@media (min-width: 1024px) {
  /* Desktop */
  section {
    scroll-margin-top: 115px;
  }

  nav {
    left: 20%;
    right: 20%;
    margin-top: 1%;
  }

  nav h1 {
    font-size: 35px;
  }

  nav button {
    margin-left: 20px;
    margin-right: 20px;
    font-size: 15px;
  }

  #hero {
    flex-direction: row-reverse;
    padding-top: 10%;
  }

  #hero img {
    width: 30%;
    margin-left: auto;
    transform: translateX(120%) translateY(-50%) rotateZ(60deg);
  }

  #hero h1 {
    font-size: 60px;
  }

  .menu-div {
    width: 70%;
  }

  #hero h3 {
    font-size: 25px;
  }

  #hero p {
    font-size: 15px;
  }

  #hero button {
    font-size: 20px;
  }

  #menu h1 {
    font-size: 60px;
  }

  #menu h3 {
    font-size: 25px;
  }

  #menu ul li {
    font-size: 20px;
  }

  #menu p {
    font-size: 15px;
    width: 100%;
  }

  #frappe-header li {
    font-size: 25px;
  }

  #gallery h1 {
    font-size: 60px;
  }

  #gallery h3 {
    font-size: 25px;
  }

  #gallery p {
    font-size: 15px;
    width: 80%;
    margin-right: auto;
    margin-left: auto;
  }

  #gallery img {
    width: 28%;
  }

  #location h1 {
    font-size: 60px;
  }

  #location h3 {
    font-size: 25px;
  }

  #location p {
    font-size: 15px;
    width: 80%;
    margin-right: auto;
    margin-left: auto;
  }

  #location iframe {
    width: 50%;
    height: 350px;
  }

  #working-hours h1 {
    font-size: 60px;
  }

  #working-hours p {
    font-size: 15px;
    width: 80%;
  }

  #hours {
    width: 70%;
  }

  #hours h3 {
    font-size: 15px;
  }

  #hours p {
    font-size: 12px;
  }

  #contact h1 {
    font-size: 60px;
  }

  #contact p {
    font-size: 15px;
    margin-bottom: 2%;
  }

  #contact-items {
    width: 70%;
  }

  #phone {
    font-size: 20px;
  }

  #address {
    font-size: 20px;
  }

  #follow-us::after {
    width: 40%;
  }

  #follow-us::before {
    width: 40%;
  }

  #social {
    font-size: 20px;
  }

  .separator::after {
    margin-left: 25px;
    margin-right: 25px;
  }

  #social img {
    width: 35px;
  }
}
